com.amazonaws.services.cloudfront.model

## Class DistributionList

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.DistributionList

All Implemented Interfaces:
  Serializable, Cloneable

    public class DistributionList
    extends Object
    implements Serializable, Cloneable

A distribution list.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DistributionList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DistributionList` `clone()`
`boolean` `equals(Object obj)`
`Boolean` `getIsTruncated()` A flag that indicates whether more distributions remain to be listed.
`List<DistributionSummary>` `getItems()` A complex type that contains one `DistributionSummary` element for each distribution that was created by the current AWS account.
`String` `getMarker()` The value you provided for the `Marker` request parameter.
`Integer` `getMaxItems()` The value you provided for the `MaxItems` request parameter.
`String` `getNextMarker()` If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your distributions where they left off.
`Integer` `getQuantity()` The number of distributions that were created by the current AWS account.
`int` `hashCode()`
`Boolean` `isTruncated()` A flag that indicates whether more distributions remain to be listed.
`void` `setIsTruncated(Boolean isTruncated)` A flag that indicates whether more distributions remain to be listed.
`void` `setItems(Collection<DistributionSummary> items)` A complex type that contains one `DistributionSummary` element for each distribution that was created by the current AWS account.
`void` `setMarker(String marker)` The value you provided for the `Marker` request parameter.
`void` `setMaxItems(Integer maxItems)` The value you provided for the `MaxItems` request parameter.
`void` `setNextMarker(String nextMarker)` If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your distributions where they left off.
`void` `setQuantity(Integer quantity)` The number of distributions that were created by the current AWS account.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DistributionList` `withIsTruncated(Boolean isTruncated)` A flag that indicates whether more distributions remain to be listed.
`DistributionList` `withItems(Collection<DistributionSummary> items)` A complex type that contains one `DistributionSummary` element for each distribution that was created by the current AWS account.
`DistributionList` `withItems(DistributionSummary... items)` A complex type that contains one `DistributionSummary` element for each distribution that was created by the current AWS account.
`DistributionList` `withMarker(String marker)` The value you provided for the `Marker` request parameter.
`DistributionList` `withMaxItems(Integer maxItems)` The value you provided for the `MaxItems` request parameter.
`DistributionList` `withNextMarker(String nextMarker)` If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your distributions where they left off.
`DistributionList` `withQuantity(Integer quantity)` The number of distributions that were created by the current AWS account.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DistributionList

    public DistributionList()

### Method Detail

#### setMarker

    public void setMarker(String marker)

The value you provided for the `Marker` request parameter.

Parameters:
  `marker` - The value you provided for the `Marker` request parameter.

#### getMarker

    public String getMarker()

The value you provided for the `Marker` request parameter.

Returns:
  The value you provided for the `Marker` request parameter.

#### withMarker

    public DistributionList withMarker(String marker)

The value you provided for the `Marker` request parameter.

Parameters:
  `marker` - The value you provided for the `Marker` request parameter.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextMarker

    public void setNextMarker(String nextMarker)

If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your distributions where they left off.

Parameters:
  `nextMarker` - If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your distributions where they left off.

#### getNextMarker

    public String getNextMarker()

If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your distributions where they left off.

Returns:
  If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your distributions where they left off.

#### withNextMarker

    public DistributionList withNextMarker(String nextMarker)

If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your distributions where they left off.

Parameters:
  `nextMarker` - If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your distributions where they left off.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaxItems

    public void setMaxItems(Integer maxItems)

The value you provided for the `MaxItems` request parameter.

Parameters:
  `maxItems` - The value you provided for the `MaxItems` request parameter.

#### getMaxItems

    public Integer getMaxItems()

The value you provided for the `MaxItems` request parameter.

Returns:
  The value you provided for the `MaxItems` request parameter.

#### withMaxItems

    public DistributionList withMaxItems(Integer maxItems)

The value you provided for the `MaxItems` request parameter.

Parameters:
  `maxItems` - The value you provided for the `MaxItems` request parameter.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setIsTruncated

    public void setIsTruncated(Boolean isTruncated)

A flag that indicates whether more distributions remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more distributions in the list.

Parameters:
  `isTruncated` - A flag that indicates whether more distributions remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more distributions in the list.

#### getIsTruncated

    public Boolean getIsTruncated()

A flag that indicates whether more distributions remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more distributions in the list.

Returns:
  A flag that indicates whether more distributions remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more distributions in the list.

#### withIsTruncated

    public DistributionList withIsTruncated(Boolean isTruncated)

A flag that indicates whether more distributions remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more distributions in the list.

Parameters:
  `isTruncated` - A flag that indicates whether more distributions remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more distributions in the list.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isTruncated

    public Boolean isTruncated()

A flag that indicates whether more distributions remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more distributions in the list.

Returns:
  A flag that indicates whether more distributions remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more distributions in the list.

#### setQuantity

    public void setQuantity(Integer quantity)

The number of distributions that were created by the current AWS account.

Parameters:
  `quantity` - The number of distributions that were created by the current AWS account.

#### getQuantity

    public Integer getQuantity()

The number of distributions that were created by the current AWS account.

Returns:
  The number of distributions that were created by the current AWS account.

#### withQuantity

    public DistributionList withQuantity(Integer quantity)

The number of distributions that were created by the current AWS account.

Parameters:
  `quantity` - The number of distributions that were created by the current AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getItems

    public List<DistributionSummary> getItems()

A complex type that contains one `DistributionSummary` element for each distribution that was created by the current AWS account.

Returns:
  A complex type that contains one `DistributionSummary` element for each distribution that was created by the current AWS account.

#### setItems

    public void setItems(Collection<DistributionSummary> items)

A complex type that contains one `DistributionSummary` element for each distribution that was created by the current AWS account.

Parameters:
  `items` - A complex type that contains one `DistributionSummary` element for each distribution that was created by the current AWS account.

#### withItems

    public DistributionList withItems(DistributionSummary... items)

A complex type that contains one `DistributionSummary` element for each distribution that was created by the current AWS account.

NOTE: This method appends the values to the existing list (if any). Use `setItems(java.util.Collection)` or `withItems(java.util.Collection)` if you want to override the existing values.

Parameters:
  `items` - A complex type that contains one `DistributionSummary` element for each distribution that was created by the current AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withItems

    public DistributionList withItems(Collection<DistributionSummary> items)

A complex type that contains one `DistributionSummary` element for each distribution that was created by the current AWS account.

Parameters:
  `items` - A complex type that contains one `DistributionSummary` element for each distribution that was created by the current AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DistributionList clone()

Overrides:
  `clone` in class `Object`